Bug 2064 - Kernel crash after "rebooting system"
Kernel crash after "rebooting system"
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-08 15:00 EDT by Clarence Donath
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-30 13:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Clarence Donath 1999-04-08 15:00:08 EDT
Upon reboot, at the point after "shutdown -r now" where it
says "rebooting system", the kernel crashes.  However,
system halt works fine.

My system:

Red Hat 5.2 (kernel 2.0.36-7) installed out of the box
Intel 486 DX4-100
16MB RAM (48 virtual)
VESA/ISA
IDE, no SCSI

This system works just fine in Windows, as well as with the
warm boot system call.

I've compiled the 2.2.5 kernel on this machine, and the
kernel doesn't crash, but it hangs at "rebooting system".

Following is the kernel dump when it crashes using the
2.0.36 kernel:


rebooting system
Oops: 0000
CPU:    0
EIP:    0010:[<001ae8c0>]
EFLAGS: 00010212
eax: 000000f9   ebx: 00000000   ecx: 28121969   edx:
000000f9
esi: 00000001   edi: 00000001   ebp: 000000f9   esp:
00cfaf9c
ds: 0018   es: 0018   fs: 002b   gs: 002b   ss: 0018
Process linuxrc (pid: 6, process nr: 6, stackpage =
00cfa000)
Stack: 00109c2d 00006810 00000001 00000001 bffffee4 000186a0
00114a91 0010abc5
       fee1dead 2812169  01234567 00000001 00000001 bffffee4
ffffffda 0000002b
       0000002b 0804002b 0000002b 00000058 08049a33 00100023
00000282 bffffede
Call Trace: [<00109c2d>] [<00114a91>] [<0010abc5>]
Code: eb 0c 8d b4 26 00 00 00 00 8d bc 27 00 00 00 00 eb 0e
8d b4
VFS: Cannot open root device 08:22
Kernel panic: VFS: Unable to mount root fs on 08:22


Check out the ninth word in the stack "fee1dead".  "Feel
Dead".  Very cute :)

Regards,
Clarence Donath
mrdo@mrdo.com
http://mrdo.com
Comment 1 Clarence Donath 1999-04-13 08:20:59 EDT
More information:

I've replaced the 72-pin DIMM memory with new chips, for a total of
32MB.  This had no effect.  The problem still exists.
Comment 2 David Lawrence 1999-06-30 13:59:59 EDT
Sounds like you have an APM bios implementation that is not fully
compatible with the kernel APM stuff. Recompile the kernel with APM
support disabled and reopen if this still occurs. At the point where
you are getting the trouble the kernel may be trying to send the APM
bios a signal to reboot or shutdown and it is getting confused.

Note You need to log in before you can comment on or make changes to this bug.